| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::MultipleStatusMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QVariantMap >.

## Public Member Functions

| MultipleStatusMap ()
| MultipleStatusMap (const QMap< QString, QVariantMap > &a)
MultipleStatusMap & | operator= (const QMap< QString, QVariantMap > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QVariantMap>, but needed to have a discrete type in the Qt type system.

Mapping used in Last_Activity_And_Statuses and passed to SetStatus, representing a collection of statuses. Use of this mapping with more than one member is deprecated.

## Constructor & Destructor Documentation

Tp::MultipleStatusMap::MultipleStatusMap | ( |  | ) |

inline

Tp::MultipleStatusMap::MultipleStatusMap | ( | const QMap< QString, QVariantMap > & | a | ) |

inline

## Member Function Documentation

MultipleStatusMap& Tp::MultipleStatusMap::operator= | ( | const QMap< QString, QVariantMap > & | a | ) |

inline